<script setup lang="ts">
import BestsellersItem from '@/components/carousel/bestsellers/BestsellersItem.vue'
import { Carousel, Slide, Navigation } from 'vue3-carousel'
</script>

<template>
  <div class="axil-best-seller-product-area bg-color-white axil-section-gap pb--0">
    <div class="container">
      <div class="product-area pb--50">
        <div class="section-title-wrapper">
          <span class="title-highlighter highlighter-primary"> <i class="far fa-shopping-basket"></i>This Month</span>
          <h2 class="title">Best Sellers</h2>
        </div>
        <Carousel
            :items-to-show="4"
            :wrap-around="true"
            snap-align="start"
            class="new-arrivals-product-activation-2 slick-layout-wrapper--15 axil-slick-arrow arrow-top-slide product-slide-mobile"
        >
          <template #slides>
            <Slide v-for="slide in 10" :key="slide">
              <BestsellersItem/>
            </Slide>
          </template>
          <template #addons>
            <div class="top-slide-navigation">
              <Navigation />
            </div>
          </template>
        </Carousel>
      </div>
    </div>
  </div>
</template>
